PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::MaterialsDB::DelegateMaterialConstructor< MaterialType, false, false > Struct Template Reference

`#include <plask/material/db.hpp>`

Inheritance diagram for plask::MaterialsDB::DelegateMaterialConstructor< MaterialType, false, false >:
[legend]
Collaboration diagram for plask::MaterialsDB::DelegateMaterialConstructor< MaterialType, false, false >:
[legend]

## Public Member Functions
| DelegateMaterialConstructor (const std::string &material_name)
shared_ptr< Material > | operator() (const Material::Composition &composition, double doping) const override
| Create material.
bool | isAlloy () const override
Public Member Functions inherited from plask::MaterialsDB::MaterialConstructor
| MaterialConstructor (const std::string &materialName)
| MaterialConstructor constructor.
virtual | ~MaterialConstructor ()
void | ensureCompositionIsEmpty (const Material::Composition &composition) const
void | ensureNoDoping (double doping) const

## Additional Inherited Members
Public Attributes inherited from plask::MaterialsDB::MaterialConstructor
std::string | materialName
| Full name (with optional dopant name) of material which this constructor can create.

## Detailed Description

template<typename MaterialType>
struct plask::MaterialsDB::DelegateMaterialConstructor< MaterialType, false, false >

Definition at line 420 of file db.hpp.

## Constructor & Destructor Documentation

## ◆ DelegateMaterialConstructor()

template<typename MaterialType >

plask::MaterialsDB::DelegateMaterialConstructor< MaterialType, false, false >::DelegateMaterialConstructor | ( | const std::string & | material_name | ) |
| inline

Definition at line 422 of file db.hpp.

## Member Function Documentation

## ◆ isAlloy()

template<typename MaterialType >

bool plask::MaterialsDB::DelegateMaterialConstructor< MaterialType, false, false >::isAlloy | ( |  | ) | const
| inline override virtual

Returns
  `true` only if this constructor creates simple material (does not use composition)

Implements plask::MaterialsDB::MaterialConstructor.

Definition at line 430 of file db.hpp.

## ◆ operator()()

template<typename MaterialType >

shared_ptr< Material > plask::MaterialsDB::DelegateMaterialConstructor< MaterialType, false, false >::operator() | ( | const Material::Composition & | composition,
|  | double | doping
| ) |  | const
| inline override virtual

Create material.

Parameters

  composition | parsed amounts of objects, can be not completed (see Material::completeComposition), empty composition in case of simple materials
  doping | amount of dopant

Returns
  created material

Implements plask::MaterialsDB::MaterialConstructor.

Definition at line 424 of file db.hpp.

The documentation for this struct was generated from the following file:

- plask/material/db.hpp